*,
*::before,
*::after {
  box-sizing: border-box;
  border: 0 0 0 0;
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white;
}

body {
  background-color: rgba(44, 46, 58, 0.8);
  width: 100vw;
  height: 100dvh;
  margin: 0;
  overflow-x: hidden;
}

h1 {
  font-size: 1.5rem;
  margin: 0;
  line-height: 1.6rem;
}

@media (max-width: 410px) {
  h1 {
    font-size: 1.35rem;
  }
}

@media (max-width: 390px) {
  h1 {
    font-size: 1.25rem;
  }
}

ul {
  padding: 0 0 0 1rem;
}

li {
  text-align: left;
  padding: 0 0 0.1rem 0;
}

.phone-container {
  width: 50%;
  height: 97%;
  margin: 1% auto 2% auto;
  border: 0.2rem solid;
  border-color: #343434;
  border-radius: 1rem;
  background-color: rgba(255, 255, 255, 0.15);
  overflow-y: auto;
}

@media (max-width: 850px) {
  .phone-container {
    width: 99%;
    height: 99%;
    margin: 1% auto 0 auto;
  }
}

.silver-border {
  height: 100%;
  border: 0.2rem solid;
  border-color: silver;
  border-radius: 0.8rem;
}

.screen-border {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  border: 0.6rem solid;
  border-color: #000000;
  border-radius: 0.6rem;
  background-color: #000000;
}

.top-bar {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 8rem;
  background-color: #000000;
}

@media (max-width: 800px) {
  .top-bar {
    height: 6rem;
  }
}

.camera-container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 0 1rem 0;
}

.camera {
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
  background-color: rgba(128, 128, 128, 0.3);
}

.speaker {
  background-color: rgba(128, 128, 128, 0.3);
  width: 20%;
  height: 0.3rem;
  border-radius: 1rem;
}

.screen {
  height: 100%;
  position: relative;
}

.screen-background {
  background: linear-gradient(
    90deg,
    rgba(131, 58, 180, 1) 0%,
    rgba(253, 29, 29, 1) 50%,
    rgba(252, 176, 69, 1) 100%
  );
  height: 100%;
  position: relative;
}

.header-container {
  position: absolute;
  width: 100%;
  height: max-content;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  z-index: 5;
}

.time-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 25%;
  padding: 0 0 0 2rem;
}

@media (max-width: 850px) {
  .time-container {
    padding: 0 0 0 1rem;
  }
}

.title-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50%;
}

.battery-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 25%;
  padding: 0 2rem 0 0;
}

@media (max-width: 850px) {
  .battery-container {
    padding: 0 1rem 0 0;
  }
}

.phone-background-container {
  height: 100%;
}

.app-background-container {
  height: 100%;
}

.app-container {
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: 20% 20% 20% 20%;
  row-gap: 1rem;
  grid-template-rows: 8rem 8rem;
  justify-content: space-between;
  align-items: center;
  padding: 5rem 0 0 0;
  position: absolute;
  z-index: 2;
  overflow: auto;
}

@media (max-width: 850px) {
  .app-container {
    grid-template-columns: 30% 30% 30%;
  }
}

@media (max-width: 600px) {
  .app-container {
    padding: 4rem 0 0 0;
    grid-template-rows: 6.5rem 6.5rem;
    row-gap: 0.8rem;
  }
}

.app {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.app-block-container {
  width: 5rem;
  height: 5rem;
  border-radius: 1rem;
  position: relative;
  background-color: white;
}

@media (max-width: 850px) {
  .app-block-container {
    width: 4.5rem;
    height: 4.5rem;
  }
}

@media (max-width: 600px) {
  .app-block-container {
    width: 4rem;
    height: 4rem;
  }
}

.app-block {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 1rem;
  z-index: 3;
}

.app-effect {
  width: 100%;
  height: 100%;
  border: none;
  border-radius: 1rem;
  background-color: #000000;
  opacity: 0%;
  cursor: pointer;
  position: absolute;
  z-index: 4;
}

.app-effect:active {
  opacity: 50%;
}

@media (max-width: 550px) {
  .app-effect:active:after {
    opacity: 50%;
  }
}

.biography {
  background-image: url('./photo.jpeg');
  background-size: contain;
}

.education {
  background-color: darkslateblue;
}

.experience {
  background-color: lightseagreen;
}

.interests {
  background: linear-gradient(
    0deg,
    rgba(58, 45, 253, 1) 0%,
    rgba(195, 34, 59, 1) 100%
  );
}

.linkedin {
  background-image: url('./linkedin.svg');
  background-size: contain;
}

.github {
  background-image: url('./github-mark.png');
  background-size: contain;
}

.app-name {
  display: inline;
  white-space: nowrap;
}

.bottom-bar {
  width: 100%;
  height: 8rem;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  background-color: #000000;
  padding: 0.6rem 0 0 0;
}

@media (max-width: 800px) {
  .bottom-bar {
    height: 6rem;
  }
}

.circle {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-grow: 0;
  flex-shrink: 0;
  width: 3.3rem;
  height: 3.3rem;
  border: 0.2rem solid;
  border-color: rgba(128, 128, 128, 0.8);
  border-radius: 50%;
  cursor: pointer;
  background-color: #000000;
}

.circle:active {
  border: 0.3rem solid;
  border-color: rgba(128, 128, 128, 0.8);
}

.square {
  width: 1.7rem;
  height: 1.7rem;
  border: 0.1rem solid;
  border-color: rgba(128, 128, 128, 0.8);
  border-radius: 0.4rem;
}

@media (max-width: 600px) {
  .square {
    border-radius: 0.3rem;
  }
}

.closed-app {
  width: 1rem;
  height: 1rem;
  position: absolute;
  display: none;
}

.expand {
  transition: all 0.3s;
  height: 100%;
  width: 100%;
  padding: 3.5rem 0 0 0;
}

.close {
  transition: all 0.3s;
  width: 100%;
  height: 0%;
}

.app-content {
  overflow: auto;
}

.app-header {
  text-align: center;
}

.app-paragraph {
  font-size: 1.2rem;
  text-align: justify;
  padding: 0 2rem 0 2rem;
}

@media (max-width: 850px) {
  .app-paragraph {
    font-size: 1.2rem;
    padding: 0 0.5rem 0 0.5rem;
  }
}

.app-list {
  font-size: 1.2rem;
  padding: 0 2rem 0 2rem;
}

.bold {
  font-weight: 600;
}
